Bug 199277 - Please extend the Slide plugin to also slide wallpaper and panels
Summary: Please extend the Slide plugin to also slide wallpaper and panels
Status: RESOLVED INTENTIONAL
Alias: None
Product: kwin
Classification: Plasma
Component: compositing (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-07 13:00 UTC by JR
Modified: 2012-03-14 09:23 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description JR 2009-07-07 13:00:11 UTC
Version:           4.2.95 (using Devel)
OS:                Linux
Installed from:    Compiled sources

The description of the Slide plugin is as follows; "Slide windows across the screen when switching virtual desktops".

When using this plugin, switching desktops make the windows slide across the screen - but the rest of the desktop is static (wallpaper, panels, widgets, ...).


Please consider extending the Slide plugin to work more as the Desktop Grid version of Desktop Cube Animation; so that the /entire grid/ is slid around instead of only the windows on it.

Duplicating the plugin options found in the Desktop Cube Animation plugin ("do not animate panels", "do not animate [sticky windows]") would cause the new plugin to still offer the same functionality as it currently does, if also supplemented with an opt-out "do not animate wallpaper" option.


Depending on the amount of common code, perhaps a neater solution would be to merge the two and call it "Desktop Switching Animations", within which you would have an option of whether to consider the virtual desktop setup as a grid or as a cube. Fade Desktop could also be merged into this.
Comment 1 Todd 2010-11-09 20:03:37 UTC
I agree, having just the windows slide but not the desktop seems very unnatural, and is particular problematic when you don't have any windows open.  Then the only indications you have that you are changing desktops is the popup, and only if that is enabled.
Comment 2 Martin Flöser 2012-03-12 19:18:16 UTC
Thank you for your suggestion to improve the KWin effects.

The KWin development team is currently maintaining a large number of effects and does not have the manpower to implement further effects based on suggestions.

With the next version 4.9 KWin will provide the possibility to write simple animation effects in JavaScript. This allows everyone to write and distribute small effects. For future versions even more advanced bindings are planned. Furthermore there is the C++ API which gives full control. We are happy to evaluate new effects provided as source code for inclusion.
Comment 3 Todd 2012-03-14 08:54:37 UTC
Just to clarify, I don't think this request is for a new effect, but rather a modification to an existing effect. It may still be wontfix, though.
Comment 4 Martin Flöser 2012-03-14 09:23:37 UTC
> Just to clarify, I don't think this request is for a new effect, but 
> rather a
> modification to an existing effect. It may still be wontfix, though.
Modifying the existing effect would result in a new effect. So to me 
from a development point of view it is a request for a new effect.